Subject: Re: bug#78890: 31.0.50; Messy vc-annotate buffer names

From: Jim Porter <[email-masked]>
Date: Thu, 26 Jun 2025 12:13:57 -0700

On 6/26/2025 11:27 AM, Sean Whitton wrote:
> I'm more concerned about an actual clash in buffer names between files
> with the same name in different directories.  What do you think about
> that?

I think it would be fairly rare for us not to have the original buffer 
in the first place, but it would be even rarer to additionally have some 
*other* buffer with the same (non-directory) buffer name. Since the 
potential for confusion only comes up after two relatively rare 
conditions, I'd be ok with just the non-directory part of the file name 
in the Annotate buffer name.

The ideal would be a function like, "What would the buffer name for this 
file be *if* I visited it?" A cursory look didn't show anything like 
that though.

That said, since the first condition above is also probably rare, I 
wouldn't be *that* upset if we showed the full file name in that case. 
How often could it come up anyway?